You may find the same drawing object represented by different identifiers and data types such as a handle string, an ename, a VLA-object, or an ObjectARX object ID integer. To obtain the identifier with the data type your program requires, use the following strategies:
_$ (setq handle-circle (cdr (assoc 5 (entget ename-circle))))
"4F"
_$ (handent handle-circle)
<Entity name: 27f0538>
_$ (setq vla-circle (vla-handleToObject acadDocument
handle-circle))
#<VLA-OBJECT IAcadCircle 03642c24>
_$ (vla-get-handle vla-circle)
"4F"
_$ (setq objid-Circle (vla-get-objectid vla-circle))
41878840
_$ (vla-ObjectIDtoObject acadDocument objid-circle)
#<VLA-OBJECT IAcadCircle 03642c24>